## pycairo 1.25.1

=== docs/requirements.txt ===
sphinx>=6.2.1,<7.0
sphinx-rtd-theme>=0.5,<2.0

## pycairo 1.4.12-1.1maemo2

=== debian/changelog ===
pycairo (1.4.12-1.1maemo2) unstable; urgency=low

  * Add python-cairo-tests binary package, containing standalone tests from
    the source code of python-cairo.
  * New patches: 
    - 01-create-runtests.sh.patch (needed to run the standalone tests for this package)
    - 02-fix-python-interpreter-in-tests.patch (avoid calling scratchbox
    python and call python2.5 instead)
  * Add quilt build dependency in debian/control.

 -- Bruno dos Santos de Araujo <bruno.araujo@indt.org.br>  Tue, 16 Dec 2008 10:35:16 -0400

pycairo (1.4.12-1.1maemo1) unstable; urgency=low

  * Add Conflicts/Replaces for "python2.5-cairo (<< ${binary:Version})".

 -- Anderson Lizardo <anderson.lizardo@indt.org.br>  Fri, 07 Nov 2008 09:57:42 -0400

pycairo (1.4.12-1.1) unstable; urgency=low

  * NMU.
  * Rebuild with python-central 0.6.7. Closes: #489368.

 -- Matthias Klose <doko@debian.org>  Sat, 05 Jul 2008 18:30:40 +0200

pycairo (1.4.12-1) unstable; urgency=low

  * New upstream release
  * Build debug package python-cairo-dbg based on Ubuntu 1.4.0*
    packaging (Closes: #453674)
  * debian/control: Added Homepage field

 -- Dave Beckett <dajobe@debian.org>  Fri, 21 Dec 2007 23:33:34 -0800

pycairo (1.4.0-2) unstable; urgency=low

  * Remove build depend on python-numeric, no longer used
  * debian/rules tidy for lintian warnings

 -- Dave Beckett <dajobe@debian.org>  Sat, 14 Apr 2007 08:29:32 -0700

pycairo (1.4.0-1) experimental; urgency=low

  * New upstream release

 -- Dave Beckett <dajobe@debian.org>  Tue, 27 Mar 2007 07:10:34 -0700

pycairo (1.2.2-1) experimental; urgency=low

  * New upstream release
  * debian/rules: Do not need dh_python while using dh_pycentral
  * Build-Depend on cairo 1.2.2 and python-central 0.5+

 -- Dave Beckett <dajobe@debian.org>  Sat, 18 Nov 2006 08:40:38 -0800

pycairo (1.2.0-1) unstable; urgency=low

  * New upstream release
  * Requires cairo 1.2.0

 -- Dave Beckett <dajobe@debian.org>  Mon,  3 Jul 2006 12:06:09 -0700

pycairo (1.0.2-2) unstable; urgency=low

  * Acknowledge NMU (Closes: #374147)
  * Standards-Version: 3.7.2.0

 -- Dave Beckett <dajobe@debian.org>  Sun, 18 Jun 2006 13:53:46 -0700

pycairo (1.0.2-1.1) unstable; urgency=low

  * Convert to updated Python policy. Closes: #373486.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Jun 2006 13:22:11 +0000

pycairo (1.0.2-1) unstable; urgency=low

  * New upstream release
  * Requires cairo 1.0.2

 -- Dave Beckett <dajobe@debian.org>  Mon,  2 Jan 2006 16:42:30 -0800

pycairo (1.0.0-1) unstable; urgency=low

  * New upstream release
  * debian/watch: update to point to stable release area
  * Install examples that do not require pygtk (Closes: #324045)
  * debian/copyright: The FSF has moved again

 -- Dave Beckett <dajobe@debian.org>  Tue,  6 Sep 2005 08:36:09 +0100

pycairo (0.9.0-4) unstable; urgency=low

  * Rebuild against cairo 1.0.0 with updated backends (Closes: #325379)
  * debian/control: Build-Depend on libcairo2-dev >=1.0.0
  * Install cairo.pth to enable debian python installs to add the cairo
    dir to the search path.

 -- Dave Beckett <dajobe@debian.org>  Wed, 31 Aug 2005 00:18:51 +0100

pycairo (0.9.0-3) unstable; urgency=low

  * First version for debian archive (Closes: #319779)

 -- Dave Beckett <dajobe@debian.org>  Mon, 15 Aug 2005 16:55:31 +0100

pycairo (0.9.0-2) unstable; urgency=low

  * Rebuild against cairo 0.9.2

 -- Dave Beckett <dajobe@debian.org>  Mon, 15 Aug 2005 16:54:31 +0100

pycairo (0.9.0-1) unstable; urgency=low

  * New upstream release
  * Functions added for cairo 0.9.0

 -- Dave Beckett <dajobe@debian.org>  Thu, 11 Aug 2005 08:49:54 +0100

pycairo (0.6.0-3) unstable; urgency=low

  * Rebuild against cairo 0.9.0

 -- Dave Beckett <dajobe@debian.org>  Tue,  9 Aug 2005 08:28:52 +0100

pycairo (0.6.0-2) unstable; urgency=low

  * debian/rules: disable use of pygtk, as pygtk 2.7+ ships with the
    cairo.gtk functions.  Prevents circular dependency.

 -- Dave Beckett <dajobe@debian.org>  Thu,  4 Aug 2005 15:22:26 +0100

pycairo (0.6.0-1) unstable; urgency=low

  * New upstream release
  * Require cairo 0.6
  * Remove SVG support for now - remove libsvg-cairo dependency
  * python2.3-cairo and python2.4-cairo conflict with each other
    for the new pycairo.pc and includes.
  * Added python-cairo-dev for the development headers for python2.3-cairo.
  * Added python-cairo package for the default version of python (2.3)
  * Undo patching

 -- Dave Beckett <dajobe@debian.org>  Mon,  1 Aug 2005 21:43:14 +0100

pycairo (0.5.0-1) unstable; urgency=low

  * New upstream release
  * Require cairo 0.5
  * Add debian/watch file

 -- Dave Beckett <dajobe@debian.org>  Thu,  9 Jun 2005 22:13:41 +0100

pycairo (0.4.0-3) unstable; urgency=low

  * Add python2.4-cairo package
  * Switch to debhelper from cdbs to hand-drive the 2-python builds

 -- Dave Beckett <dajobe@debian.org>  Mon, 30 May 2005 22:25:00 +0100

pycairo (0.4.0-2) unstable; urgency=low

  * Require libsvg-cairo1-dev >= 0.1.5-4 with fixed build dependencies.

 -- Dave Beckett <dajobe@debian.org>  Tue,  5 Apr 2005 00:41:46 +0100

pycairo (0.4.0-1) unstable; urgency=low

  * New upstream release
  * Remove most examples as they had no copyright.

 -- Dave Beckett <dajobe@debian.org>  Mon,  4 Apr 2005 21:03:33 +0100

pycairo (0.1.4-0.1) unstable; urgency=low

  * First public package

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Wed,  2 Feb 2005 23:40:03 +0000

pycairo (0.1.1.cvs20040823-1) unstable; urgency=low

  * Initial package

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Mon, 23 Aug 2004 21:43:51 +0100

=== debian/control ===
Source: pycairo
Section: python
Priority: optional
Maintainer: Dave Beckett <dajobe@debian.org>
Build-Depends: debhelper (>= 5.0.37.1), autotools-dev, pkg-config, python-all-dev (>= 2.4.0), python-all-dbg (>= 2.4.0), python-central (>= 0.5), libcairo2-dev (>= 1.4.12), quilt
XS-Python-Version: all
Standards-Version: 3.7.3
Homepage: http://cairographics.org/pycairo/

Package: python-cairo
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}
Conflicts: python2.3-cairo, python2.4-cairo, python2.5-cairo (<< ${binary:Version})
Replaces: python2.3-cairo, python2.4-cairo, python2.5-cairo (<< ${binary:Version})
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python bindings for the Cairo vector graphics library
 This package contains modules that allow you to use the cairo vector
 graphics library in Python programs.

Package: python-cairo-dbg
Priority: extra
Architecture: any
Depends: python-cairo (= ${binary:Version}), python-dbg, ${shlibs:Depends}
Description: Python bindings for the Cairo vector graphics library (debug extension)
 This package contains modules that allow you to use the cairo vector
 graphics library in Python programs.
 .
 This package contains the extension built for the python debug interpreter.

Package: python-cairo-dev
Architecture: all
Depends: ${python:Depends}, python-cairo (>= ${binary:Version})
Description: Python cairo bindings: development files
 This package contains files that allow you to compile wrappers
 that interoperate with python-cairo (pycairo)

Package: python-cairo-tests
Section: tests
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, python-cairo 
Description: Tests for cairo package.
 Standalone tests for python-cairo package; these tests can be 
 executed directly by calling /usr/share/python-cairo-tests/runtests.sh;
 results are stored in /tmp/python-cairo-tests/testresults.log.

Package: python2.5-cairo
Architecture: all
Depends: python-cairo (= ${binary:Version})
Description: Python bindings for the Cairo vector graphics library
 This package contains modules that allow you to use the cairo vector
 graphics library in Python programs.

Package: python2.5-cairo-dev
Architecture: all
Depends: python-cairo-dev (= ${binary:Version})
Description: Python cairo bindings: development files
 This package contains files that allow you to compile wrappers
 that interoperate with python-cairo (pycairo).

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# For autoconf 2.13 only
CONFFLAGS=
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	CONFFLAGS += $(DEB_HOST_GNU_TYPE)
else
	CONFFLAGS += --host $(DEB_BUILD_GNU_TYPE) --build $(DEB_HOST_GNU_TYPE)
endif

package := tmp
prefix  := /usr
share   := $(prefix)/share

version := $(shell dpkg-parsechangelog | \
		sed -ne 's/^Version: *\([0-9]\+:\)*//p')

# Python versions from constraints in XS-Python-Version in debian/control
PYVERS	:= $(shell pyversions -vr debian/control)
# Default python version (this what python-cairo-dev uses)
PYDEF	:= $(shell pyversions -vd)

configure-stamp:
	dh_testdir

	echo "#-----------------------------------"

	apt-cache show python-central
	apt-cache policy python-central
	sb-conf show
	sb-conf version

	echo #-----------------------------------




# Copy in fresh copies of config.{sub,guess}
# (these are from autotools-dev, so must Build-Depend on it)
	for i in config.guess config.sub; do \
	  if test -e $(share)/misc/$$i ; then \
	    if ! test -e $$i.debian-orig ; then \
	      mv $$i $$i.debian-orig ; \
	      cp --remove-destination $(share)/misc/$$i $$i ; \
	    fi ; \
	  fi ; \
	done

# handle timestamp skew; advice from autotools-dev README.Debian
	touch configure.ac && \
	touch aclocal.m4 && \
	touch config.h.in && \
	touch configure && \
	touch Makefile.in

	touch $@

build-%/configure-stamp: configure-stamp
	dh_testdir
	mkdir -p build-$*
	cd build-$* && PYTHON=/usr/bin/python$* ../configure $(CONFFLAGS) \
		--prefix=$(prefix) \
		--mandir=$(share)/man \
		--infodir=$(share)/info \
		--without-pygtk
	touch $@

dbg-build-%/configure-stamp: configure-stamp
	dh_testdir
	mkdir -p dbg-build-$*
	cd dbg-build-$* && CFLAGS="$(CFLAGS) -O0" PYTHON=/usr/bin/python$*-dbg ../configure $(CONFFLAGS) \
		--prefix=$(prefix) \
		--mandir=$(share)/man \
		--infodir=$(share)/info \
		--without-pygtk
	touch $@

build: patch configure-stamp build-stamp
build-stamp: $(PYVERS:%=build-%/build-stamp) $(PYVERS:%=dbg-build-%/build-stamp)
	touch build-stamp

build-%/build-stamp: build-%/configure-stamp
	dh_testdir
	make -C build-$*
	touch $@

dbg-build-%/build-stamp: dbg-build-%/configure-stamp
	dh_testdir
	make -C dbg-build-$*
	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp libtool
	rm -rf build-* dbg-build-*

	[ ! -f Makefile ] || $(MAKE) distclean

	-rm -f config.h config.cache config.status config.log

	for i in config.guess config.sub; do \
	  if test -r $$i.debian-orig ; then \
	    mv -f $$i.debian-orig $$i; \
	  fi; \
	done

	dh_clean

install-pre:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

install: install-pre $(PYVERS:%=install-%) $(PYVERS:%=dbg-install-%)
	for i in $$(find debian/python-cairo-dbg -name '*.so'); do \
	  b=$$(basename $$i .so); \
	  mv $$i $$(dirname $$i)/$${b}_d.so; \
	done
	find debian/python-cairo-dbg ! -type d ! -name '*.so' | xargs rm -f
	-find debian/python-cairo-dbg -depth -empty -exec rmdir {} \;

install-%: build-%/build-stamp
	dh_testdir
	dh_testroot
	make -C build-$* install \
		DESTDIR=$(CURDIR)/debian/python-cairo
	find debian/python-cairo/usr/lib \
		\( -name "*.py[co]" -o -name "*.la" \) -exec rm -f {} \;

	if [ $* = $(PYDEF) ]; then \
	  mkdir -p debian/python-cairo-dev/usr/lib; \
	  mv debian/python-cairo/usr/include debian/python-cairo-dev/usr/include; \
	  mv debian/python-cairo/usr/lib/pkgconfig debian/python-cairo-dev/usr/lib/pkgconfig; \
	fi
	rm -rf debian/python-cairo/usr/include debian/python-cairo/usr/lib/pkgconfig
#	cp debian/cairo.pth $(CURDIR)/debian/python-cairo/usr/lib/python$*/site-packages

	#python-cairo-tests
	mkdir -p $(CURDIR)/debian/python-cairo-tests
	mkdir -p $(CURDIR)/debian/python-cairo-tests/usr
	mkdir -p $(CURDIR)/debian/python-cairo-tests/usr/share
	mkdir -p $(CURDIR)/debian/python-cairo-tests/usr/share/python-cairo-tests
	cp -r $(CURDIR)/test $(CURDIR)/debian/python-cairo-tests/usr/share/python-cairo-tests
	cp -r $(CURDIR)/examples $(CURDIR)/debian/python-cairo-tests/usr/share/python-cairo-tests
	#this file is created by a patch
	cp $(CURDIR)/runtests.sh $(CURDIR)/debian/python-cairo-tests/usr/share/python-cairo-tests

dbg-install-%: dbg-build-%/build-stamp
	dh_testdir
	dh_testroot
	make -C dbg-build-$* install \
		DESTDIR=$(CURDIR)/debian/python-cairo-dbg

# Build architecture-independent files here. (just python-cairo-dev)
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: 
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i README NEWS AUTHORS
	dh_installexamples -i
	dh_installchangelogs ChangeLog -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_pycentral -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a

	dh_installdocs -A README NEWS AUTHORS
	dh_installchangelogs ChangeLog
	dh_installexamples
	dh_link -a
	dh_strip -ppython-cairo --dbg-package=python-cairo-dbg
	rm -rf debian/python-cairo-dbg/usr/share/doc/python-cairo-dbg
	ln -s python-cairo debian/python-cairo-dbg/usr/share/doc/python-cairo-dbg
	dh_compress -a
	dh_fixperms -a
	dh_pycentral -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install

## pycairo 1.8.8

=== debian/changelog ===
pycairo (1.8.8-2) unstable; urgency=medium

  [ Jakub Wilk ]
  * Add Vcs-* fields.

  [ Andrey Rahmatullin ]
  * Port from python-support to dh-python (Closes: #786160).
  * Drop obsolete debian/pyversions.
  * Drop unnecessary XB-Python-Version.

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Sun, 06 Sep 2015 13:47:26 +0500

pycairo (1.8.8-1) unstable; urgency=low

  [ Loïc Minier ]
  * Use *-packages instead of site-packages in debian/python-cairo-dbg.install
    to work with both dist-packages and site-packages, backports etc.

  [ Torsten Marek ]
  * New upstream release
  * Convert to new source format "3.0 (quilt)"
  * debian/control
    - Updated standards version to 3.8.3, no changes necessary
  * debian/patches/setup_25_compat
    - Ensure Python 2.5 compatibility
    - Make sure __init__.py is installed
  * debian/rules
    - Remove old dpatch workarounds

 -- Torsten Marek <shlomme@debian.org>  Sun, 24 Jan 2010 15:39:31 +0100

pycairo (1.8.6-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - Bumped standards version to 3.8.2, no changes necessary.
    - Added build-dependency on python-sphinx.
    - Added dependency on libjs-jquery.
  * debian/patches/02__toyfontface_type_base.dpatch
    - Removed, fixed upstream.
  * debian/rules
    - Build documentation.
  * debian/python-cairo-dev.docs, debian/python-cairo-dev.links
    - Install the documentation

 -- Torsten Marek <shlomme@debian.org>  Fri, 17 Jul 2009 22:50:31 +0200

pycairo (1.8.4-3exp2) experimental; urgency=low

  * Actually build Python 2.6 modules
    - somehow, using an unstable basetgz in pbuilder won't
      magically do just what I want

 -- Torsten Marek <shlomme@debian.org>  Mon, 25 May 2009 22:13:11 +0200

pycairo (1.8.4-3exp1) experimental; urgency=low

  * Added module for Python 2.6, for experimental
  * debian/rules
    - make sure debug build files are cleaned correctly
  * debian/control
    - set build dependency on python-all-{dev,dbg} to 2.5.4-1~
    - change section of python-cairo-dbg to debug

 -- Torsten Marek <shlomme@debian.org>  Mon, 25 May 2009 21:12:55 +0200

pycairo (1.8.4-3) unstable; urgency=low

  * debian/python-cairo.preinst
    - Run cleanup only on upgrade, thanks Julien Valroff (Closes: #521564)

 -- Torsten Marek <shlomme@debian.org>  Sat, 28 Mar 2009 18:45:18 +0100

pycairo (1.8.4-2) unstable; urgency=low

  * debian/preinst
    - Remove files remaining from python-central if
      /var/lib/pycentral/pkgremove did not exist before (Closes: #516518)

 -- Torsten Marek <shlomme@debian.org>  Fri, 27 Mar 2009 13:49:34 +0100

pycairo (1.8.4-1) unstable; urgency=low

  * New upstream release for unstable (Closes: #497055)
  * debian/rules
    - Switch to cdbs and python-support
  * debian/control
    - Bumped standards version to 3.8.1, no changes necessary
    - Bumped debhelper compatibility level to 7, no changes
    - Switch to cdbs and python-support
    - Build-depend on dpatch
    - Added ${misc:Depends} to all packages, fixes lintian warnings
  * debian/patches/01_no_py26_dependency.dpatch
    - do not require Python 2.6
  * debian/patches/02_toyfontface_type_base.dpatch
    - set correct base type for ToyFontFace

 -- Torsten Marek <shlomme@debian.org>  Sun, 22 Mar 2009 13:37:43 +0100

pycairo (1.8.2-1) experimental; urgency=low

  * New upstream release, uploaded to experimental
  * Adopted by the Debian Python Modules Team, thanks to Dave Beckett
    for maintenance so far
  * debian/control
    - Bumped standards version to 3.8.0, no changes necessary
    - Changed XS-Python-Version to only build the package for Python 2.5
    - Updated build dependencies according to Python Policy recommendations
    - Removed old Replace/Conflicts, there are no 2.3 or 2.4 packages anymore
    - Set DPMT as maintainers
    - Added Dave Beckett and myself as uploaders
    - Update build dependency on libcairo2-dev to latest version 1.8.6
  * debian/rules
    - Removed unused variables
    - Removed --without-pygtk option from configure, option has vanished

 -- Torsten Marek <shlomme@debian.org>  Thu, 08 Jan 2009 12:29:52 +0100

=== debian/control ===
Source: pycairo
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Dave Beckett <dajobe@debian.org>, Torsten Marek <shlomme@debian.org>
Build-Depends: debhelper (>= 7), cdbs (>= 0.4.49), python-all-dev (>= 2.5.4-1~), python-all-dbg (>= 2.5.4-1~), dh-python, libcairo2-dev (>= 1.8.6), python-sphinx
Standards-Version: 3.8.3
Homepage: http://cairographics.org/pycairo/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pycairo/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pycairo/trunk/

Package: python-cairo
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Python bindings for the Cairo vector graphics library
 This package contains modules that allow you to use the Cairo vector
 graphics library in Python programs.

Package: python-cairo-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python-cairo (= ${binary:Version}), python-dbg, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Python bindings for the Cairo vector graphics library (debug extension)
 This package contains modules that allow you to use the cairo vector
 graphics library in Python programs.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python-cairo-dev
Architecture: all
Depends: python-cairo (>= ${binary:Version}), ${misc:Depends}, libjs-jquery
Description: Python cairo bindings: development files
 This package contains files that allow you to compile wrappers
 that interoperate with python-cairo (pycairo).

=== debian/rules ===
#!/usr/bin/make -f
DEB_COMPRESS_EXCLUDE= .js .inv

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_PYTHON_INSTALL_ARGS_ALL += --install-layout=deb

install/python-cairo-dev::
	python setup.py install_data --install-dir=$(CURDIR)/debian/tmp/usr
	sphinx-build -bhtml doc build/html

build/python-cairo-dbg::
	set -e; \
	for i in $(cdbs_python_build_versions); do \
	  python$$i-dbg ./setup.py build; \
	done

install/python-cairo-dbg::
	for i in $(cdbs_python_build_versions); do \
	  python$$i-dbg ./setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp; \
	done

clean::
	-for i in $(cdbs_python_build_versions); do \
	  python$$i-dbg ./setup.py clean -a; \
	done
	rm -f $(CURDIR)/pycairo.pc $(CURDIR)/src/config.h
	rm -rf $(CURDIR)/build

=== debian/watch ===
version=2
http://cairographics.org/releases/ pycairo-([\d+\.]+|\d+)\.tar\.gz debian uupdate

## pycairo 1.15.4

=== debian/changelog ===
pycairo (1.15.4-2) unstable; urgency=medium

  * Team upload.
  * debian/python-cairo-dev.examples: Install examples file in
    python-cairo-dev package instead of python-cairo
  * Build python3 packages, split the documentation in a separate -doc pkg
  * debian/rules: Call the sphinxdoc sequence
  * debian/rules: Do not create additional -dbgsyms packages, put the debug
    symbols in the -dbg ones
  * debian/rules: Try to fix the privacy-breach-generic lintian warning

 -- Laurent Bigonville <bigon@debian.org>  Sun, 19 Nov 2017 14:56:32 +0100

pycairo (1.15.4-1) unstable; urgency=medium

  * Team upload.
  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Laurent Bigonville ]
  * New upstream release (Closes: #653588, #878080)
    - Bump libcairo2-dev build-dependency (Closes: #605958)
    - Drop debian/patches/setup_25_compat, we don't need compatibility with
      python 2.5 anymore
  * debian/watch: Update watch file, the project has been moved to github
  * Bump Standards-Version to 4.1.1 (no further changes)
  * Switch to dh sequences and bump debhelper compatibility to 10
  * Add python-pytest to the build-dependencies, this is needed for the tests
  * debian/python-cairo-dev.install: Fix installation of the .pc file
  * debian/control: Move python-cairo-dbg to priority optional from priority
    extra, the later is deprecated
  * debian/control: Mark python-cairo and python-cairo-dbg as Multi-arch: same
  * debian/python-cairo.install: Install egg-info file (Closes: #572624)
  * debian/python-cairo-dev.links: Use libjs-underscore instead of embedded
    underscore.js file

 -- Laurent Bigonville <bigon@debian.org>  Sun, 19 Nov 2017 13:31:30 +0100

pycairo (1.8.8-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add python-cairo-dbg.maintscript to cleanup symlink left over from version
    1.4.12-1.2 (lenny). (Closes: #861305)

 -- Ivo De Decker <ivodd@debian.org>  Sun, 07 May 2017 13:10:03 +0200

pycairo (1.8.8-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace deprecated cdbs_python_build_versions with cdbs_python_flavors.
    (Closes: #830364)

 -- Johannes Brandstätter <jbrandst@2ds.eu>  Sun, 25 Sep 2016 11:50:17 +0200

=== debian/control ===
Source: pycairo
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Dave Beckett <dajobe@debian.org>, Torsten Marek <shlomme@debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               libcairo2-dev (>= 1.13.1),
               python-all-dbg (>= 2.5.4-1~),
               python-all-dev (>= 2.5.4-1~),
               python-pytest <!nocheck>,
               python3-all-dbg,
               python3-all-dev,
               python3-pytest <!nocheck>,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               sphinx-common
Standards-Version: 4.1.1
Homepage: http://cairographics.org/pycairo/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pycairo.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pycairo.git

Package: python-cairo
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Provides: ${python:Provides}
Multi-arch: same
Description: Python bindings for the Cairo vector graphics library
 This package contains modules that allow you to use the Cairo vector
 graphics library in Python programs.

Package: python-cairo-dbg
Section: debug
Architecture: any
Depends: python-cairo (= ${binary:Version}),
         python-dbg,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: ${python:Provides}
Multi-arch: same
Description: Python bindings for the Cairo vector graphics library (debug extension)
 This package contains modules that allow you to use the cairo vector
 graphics library in Python programs.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python-cairo-dev
Architecture: all
Depends: python-cairo (>= ${binary:Version}),
         ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Python cairo bindings: development files
 This package contains files that allow you to compile wrappers
 that interoperate with python-cairo (pycairo).

Package: python3-cairo
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Provides: ${python3:Provides}
Multi-arch: same
Description: Python3 bindings for the Cairo vector graphics library
 This package contains modules that allow you to use the Cairo vector
 graphics library in Python3 programs.

Package: python3-cairo-dbg
Section: debug
Architecture: any
Depends: python3-cairo (= ${binary:Version}),
         python3-dbg,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: ${python3:Provides}
Multi-arch: same
Description: Python3 bindings for the Cairo vector graphics library (debug extension)
 This package contains modules that allow you to use the cairo vector
 graphics library in Python3 programs.
 .
 This package contains the extension built for the Python3 debug interpreter.

Package: python3-cairo-dev
Architecture: all
Depends: python3-cairo (>= ${binary:Version}), ${misc:Depends}
Suggests: python3-cairo-doc
Description: Python3 cairo bindings: development files
 This package contains files that allow you to compile wrappers
 that interoperate with python3-cairo (pycairo).

Package: python3-cairo-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Python 3 cairo bindings: documentation files
 Cairo is a multi-platform library providing anti-aliased vector-based
 rendering for multiple target backends.
 .
 This package contains documentation files of python3-cairo (py3cairo).

=== debian/rules ===
#!/usr/bin/make -f
DEB_COMPRESS_EXCLUDE= .js .inv

%:
	dh $@ --buildsystem=pybuild --with python2,python3,sphinxdoc

override_dh_auto_build:
	dh_auto_build --buildsystem=pybuild
	sphinx-build -bhtml docs debian/tmp-doc/html
	# to fix lintian: privacy-breach-generic
	sed -ir 's|src="https:[^"]*|src="|' debian/tmp-doc/html/index.html

override_dh_auto_clean:
	dh_auto_clean --buildsystem=pybuild
	rm -rf debian/tmp-doc

override_dh_install:
	dh_install
	rm -f $(CURDIR)/debian/python3-cairo/usr/lib/python3*/*-packages/cairo/_cairo.cpython-*dm-*.so

override_dh_strip:
	dh_strip -ppython-cairo  --dbg-package=python-cairo-dbg
	dh_strip -ppython3-cairo --dbg-package=python3-cairo-dbg

## pycairo 1.16.2

=== debian/changelog ===
pycairo (1.16.2-4) unstable; urgency=medium

  * Drop python2 support; Closes: #937397

 -- Sandro Tosi <morph@debian.org>  Thu, 16 Jul 2020 23:49:54 -0400

pycairo (1.16.2-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sandro Tosi ]
  * Dont run unittests for python2 binary, to reduce pytest rdeps

 -- Sandro Tosi <morph@debian.org>  Mon, 13 Apr 2020 18:52:24 -0400

pycairo (1.16.2-2) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.

  [ Chris Lamb ]
  * d/changelog: Remove trailing whitespace

  [ Simon McVittie ]
  * d/p/tests-fix-a-pytest-deprecation-warning.patch,
    d/p/enum-explicitely-set-enum.__str__.patch:
    Cherry-pick Python 3.8 fixes from upstream.
    This is functionally equivalent to the changes in 1.16.2-1ubuntu1
    (thanks to Matthias Klose). (Closes: #942666)
  * d/control, d/python3-cairo*.install:
    Cope with Python 3.8 removing "m" from the names of extensions.
    Change taken from 1.16.2-1ubuntu3 in Ubuntu (thanks to Matthias Klose).
  * d/rules: Delete pyc files from staging directory
  * d/rules: Fail the build if there are other files we didn't install

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Nov 2019 18:34:57 +0000

pycairo (1.16.2-1) unstable; urgency=medium

  * Team upload.
  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Laurent Bigonville ]
  * New upstream release
  * debian/control: Bump Standards-Version to 4.1.3 (no further changes)
  * debian/control: Add Built-Using: ${sphinxdoc:Built-Using} to the
    documentation packages
  * debian/python-cairo-dev.install, debian/python3-cairo-dev.install:
    Upstream buildsystem now installs the .pc files in /usr/lib/pkgconfig
  * debian/python-cairo-dev.install, debian/python3-cairo-dev.install: Install
    new .h file shipped by upstream
  * Override the lintian python-package-missing-depends-on-python error for
    -dev packages, the package is only installing a header file in the path

 -- Laurent Bigonville <bigon@debian.org>  Tue, 20 Feb 2018 16:34:35 +0100

=== debian/control ===
Source: pycairo
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Dave Beckett <dajobe@debian.org>, Torsten Marek <shlomme@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-exec,
               dh-python,
               libcairo2-dev (>= 1.13.1),
               python3-all-dbg,
               python3-all-dev,
               python3-pytest <!nocheck>,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               sphinx-common
Standards-Version: 4.1.3
Homepage: https://cairographics.org/pycairo/
Vcs-Git: https://salsa.debian.org/python-team/modules/pycairo.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pycairo

Package: python3-cairo
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Provides: ${python3:Provides}
Multi-arch: same
Description: Python3 bindings for the Cairo vector graphics library
 This package contains modules that allow you to use the Cairo vector
 graphics library in Python3 programs.

Package: python3-cairo-dbg
Section: debug
Architecture: any
Depends: python3-cairo (= ${binary:Version}),
         python3-dbg,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: ${python3:Provides}
Multi-arch: same
Description: Python3 bindings for the Cairo vector graphics library (debug extension)
 This package contains modules that allow you to use the cairo vector
 graphics library in Python3 programs.
 .
 This package contains the extension built for the Python3 debug interpreter.

Package: python3-cairo-dev
Architecture: all
Depends: python3-cairo (>= ${binary:Version}), ${misc:Depends}
Suggests: python3-cairo-doc
Description: Python3 cairo bindings: development files
 This package contains files that allow you to compile wrappers
 that interoperate with python3-cairo (pycairo).

Package: python3-cairo-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Python 3 cairo bindings: documentation files
 Cairo is a multi-platform library providing anti-aliased vector-based
 rendering for multiple target backends.
 .
 This package contains documentation files of python3-cairo (py3cairo).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_build:
	dh_auto_build --buildsystem=pybuild
	python3 -m sphinx -bhtml docs debian/tmp-doc/html
	# to fix lintian: privacy-breach-generic
	sed -ir 's|src="https:[^"]*|src="|' debian/tmp-doc/html/index.html

override_dh_auto_clean:
	dh_auto_clean --buildsystem=pybuild
	rm -rf debian/tmp-doc

override_dh_install:
	dh_install
	rm -fr $(CURDIR)/debian/tmp/usr/lib/python*/dist-packages/cairo/__pycache__
	rm -f $(CURDIR)/debian/tmp/usr/lib/python*/dist-packages/cairo/*.pyc
	rm -f $(CURDIR)/debian/python3-cairo/usr/lib/python3*/*-packages/cairo/_cairo.cpython-*dm-*.so

override_dh_strip:
	dh_strip -ppython3-cairo --dbg-package=python3-cairo-dbg

override_dh_missing:
	dh_missing --fail-missing

## pycairo 1.16.2.1

=== debian/changelog ===
pycairo (1.16.2.1-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: af4707075b30b39257847a4a877cd492204a5ab0']

 -- shuttle <shuttle@deepin.com>  Tue, 10 Dec 2019 20:39:06 +0000

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pycairo-$1\.tar\.gz/ \
  https://github.com/pygobject/pycairo/tags .*/v?(\d\S+)\.tar\.gz

## pycairo 1.20.1

=== debian/changelog ===
pycairo (1.20.1-3build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:37:33 +0000

pycairo (1.20.1-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Gordon Ball <gordon@chronitis.net>  Thu, 25 Nov 2021 19:56:21 +0000

pycairo (1.20.1-2) experimental; urgency=medium

  * Team upload.
  * Drop python3-cairo-dbg package, since a debug interpreter can now use
    extensions with the normal ABI (Closes: #994322)

 -- Gordon Ball <gordon@chronitis.net>  Wed, 24 Nov 2021 19:16:04 +0000

pycairo (1.20.1-1) experimental; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now the
      default.
  * Fix field name case in debian/control (Multi-arch => Multi-Arch).
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libcairo2-dev.

  [ Gordon Ball ]
  * New upstream version 1.20.1
  * Rebase (and drop) patches
  * Build test extension before tests
  * Install python type information
  * Rules-requires-root: no
  * Standards-Version: 4.6.0
  * Add autopkgtest
  * doc-base: update base path for HTML files

 -- Gordon Ball <gordon@chronitis.net>  Sun, 17 Oct 2021 18:45:03 +0000

=== debian/control ===
Source: pycairo
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Dave Beckett <dajobe@debian.org>, Torsten Marek <shlomme@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-python,
               libcairo2-dev,
               python3-all-dev,
               python3-pytest <!nocheck>,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               sphinx-common
Standards-Version: 4.6.0
Homepage: https://cairographics.org/pycairo/
Vcs-Git: https://salsa.debian.org/python-team/packages/pycairo.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pycairo
Rules-Requires-Root: no

Package: python3-cairo
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Provides: ${python3:Provides}
Multi-Arch: same
Description: Python3 bindings for the Cairo vector graphics library
 This package contains modules that allow you to use the Cairo vector
 graphics library in Python3 programs.

Package: python3-cairo-dev
Architecture: all
Depends: python3-cairo (>= ${binary:Version}), ${misc:Depends}
Suggests: python3-cairo-doc
Description: Python3 cairo bindings: development files
 This package contains files that allow you to compile wrappers
 that interoperate with python3-cairo (pycairo).

Package: python3-cairo-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Python 3 cairo bindings: documentation files
 Cairo is a multi-platform library providing anti-aliased vector-based
 rendering for multiple target backends.
 .
 This package contains documentation files of python3-cairo (py3cairo).

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export PYBUILD_BEFORE_TEST=python{version} setup.py build_tests
 
 %:
 	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
@@ -18,9 +20,3 @@
 	rm -fr $(CURDIR)/debian/tmp/usr/lib/python*/dist-packages/cairo/__pycache__
 	rm -f $(CURDIR)/debian/tmp/usr/lib/python*/dist-packages/cairo/*.pyc
 	rm -f $(CURDIR)/debian/python3-cairo/usr/lib/python3*/*-packages/cairo/_cairo.cpython-*dm-*.so
-
-override_dh_strip:
-	dh_strip -ppython3-cairo --dbg-package=python3-cairo-dbg
-
-override_dh_missing:
-	dh_missing --fail-missing

## pycairo 1.24.0

=== debian/changelog ===
pycairo (1.24.0-3) unstable; urgency=medium

  * Team upload
  * Force rebuild against cairo 1.18.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 24 Sep 2023 07:32:37 -0400

pycairo (1.24.0-2) unstable; urgency=medium

  * Team upload
  * Revert workaround for automatic bytecode compilation causing FTBFS

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 07 Sep 2023 17:50:22 -0400

pycairo (1.24.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Workaround automatic Python bytecode compilation leading to
    FTBFS. (Closes: #1040748)
    Fixing this in debhelper for all packages would obviously be preferred,
    but for now this has to do.

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 06 Aug 2023 14:42:07 +0200

pycairo (1.24.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Build with meson
  * Install NEWS instead of useless changelog (Closes: #1034520)
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 03 Jul 2023 13:31:14 -0400

pycairo (1.20.1-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python3-cairo-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 08 Dec 2022 01:30:20 +0000

pycairo (1.20.1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove MIA uploaders
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 14 Oct 2022 12:50:47 +0100

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Dave Beckett <dajobe@debian.org>, Torsten Marek <shlomme@debian.org>
+Uploaders: Torsten Marek <shlomme@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-python,
-               libcairo2-dev,
+               libcairo2-dev (>= 1.18.0),
+               meson,
                python3-all-dev,
                python3-pytest <!nocheck>,
                python3-sphinx,
                python3-sphinx-rtd-theme,
                sphinx-common
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://cairographics.org/pycairo/
 Vcs-Git: https://salsa.debian.org/python-team/packages/pycairo.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pycairo
@@ -40,6 +41,7 @@
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Built-Using: ${sphinxdoc:Built-Using}
+Multi-Arch: foreign
 Description: Python 3 cairo bindings: documentation files
  Cairo is a multi-platform library providing anti-aliased vector-based
  rendering for multiple target backends.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_PYTHON_INSTALL_LAYOUT=deb

%:
	dh $@ --with python3,sphinxdoc --buildsystem=meson

execute_after_dh_auto_build:
	python3 -m sphinx -bhtml docs debian/tmp-doc/html
	# to fix lintian: privacy-breach-generic
	sed -ir 's|src="https:[^"]*|src="|' debian/tmp-doc/html/index.html

execute_after_dh_auto_clean:
	rm -rf debian/tmp-doc

# https://bugs.debian.org/1034520
override_dh_installchangelogs:
	dh_installchangelogs -Xchangelog

## pycairo 1.25.1

=== debian/changelog ===
pycairo (1.25.1-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:50:01 +0000

pycairo (1.25.1-2build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 only.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Mar 2024 23:14:45 +0100

pycairo (1.25.1-2) unstable; urgency=medium

  * Team upload.
  * debian/control:
    + Build-depends on python3-all-dev.
    + Do not mark package python3-cairo as Multi-Arch: same. For details,
      please refer to lintian tag multi-arch-same-package-calls-pycompile.
  * debian/clean: Also clean some common post-build artifacts.
    This prevents source build failure after a previous build.
    (Closes: #1045769)
  * debian/rules:
    + Use "py3versions -s" to build for all supported python3 versions.
    + Let dh_auto_test-indep do nothing because sphinx build does not
      need tests.
  * These changes makes pycairo built for all supported python versions.
    (Closes: #1055488)

 -- Boyuan Yang <byang@debian.org>  Tue, 30 Jan 2024 02:05:17 -0500

pycairo (1.25.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Build-Depend on python3-dev instead of python3-all-dev (Closes: #1055488)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 05 Dec 2023 18:40:14 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pycairo
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
@@ -23,7 +24,6 @@
 Architecture: any
 Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
 Provides: ${python3:Provides}
-Multi-Arch: same
 Description: Python3 bindings for the Cairo vector graphics library
  This package contains modules that allow you to use the Cairo vector
  graphics library in Python3 programs.

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,28 @@
 #!/usr/bin/make -f
 
-export DEB_PYTHON_INSTALL_LAYOUT=deb
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=meson
 
-execute_after_dh_auto_build:
+# Build for all supported python3 versions.
+# for details, see https://bugs.debian.org/1055488
+override_dh_auto_configure:
+	$(foreach PYVERSION,$(shell py3versions -s),dh_auto_configure --builddir=obj-$(PYVERSION) -- -Dpython=$(PYVERSION); )
+
+override_dh_auto_build:
+	$(foreach PYVERSION,$(shell py3versions -s),dh_auto_build --builddir=obj-$(PYVERSION) -- ; )
+
+override_dh_auto_install:
+	$(foreach PYVERSION,$(shell py3versions -s),dh_auto_install --builddir=obj-$(PYVERSION) -- ; )
+
+# Doc-only build does not need tests
+override_dh_auto_test-indep:
+
+override_dh_auto_test:
+	$(foreach PYVERSION,$(shell py3versions -s),dh_auto_test --builddir=obj-$(PYVERSION) -- ; )
+
+execute_after_dh_auto_build-indep:
 	python3 -m sphinx -bhtml docs debian/tmp-doc/html
 	# to fix lintian: privacy-breach-generic
 	sed -ir 's|src="https:[^"]*|src="|' debian/tmp-doc/html/index.html

## pycairo 1.26.0

=== debian/changelog ===
pycairo (1.26.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 08 Apr 2024 23:23:03 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pycairo
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,

## pycairo 1.26.1

=== debian/changelog ===
pycairo (1.26.1-2) unstable; urgency=medium

  * Build with cairo 1.18.2 (LP: #2078971)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 05 Sep 2024 11:33:13 -0400

pycairo (1.26.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 07 Jul 2024 22:13:59 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-python,
-               libcairo2-dev (>= 1.18.0),
+               libcairo2-dev (>= 1.18.2),
                meson,
                python3-all-dev,
                python3-pytest <!nocheck>,

## pycairo 1.27.0

=== meson_options.txt ===
option('python', type : 'string', value : 'python3')
option('tests', type : 'boolean', value : true, description : 'build unit tests')
option('wheel', type : 'boolean', value : false, description : 'build for a Python wheel')

=== docs/requirements.txt ===
sphinx>=6.2.1,<7.0
sphinx-rtd-theme>=1.0,<3.0

=== debian/changelog ===
pycairo (1.27.0-2build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:35:59 +0000

pycairo (1.27.0-2) unstable; urgency=medium

  * Team upload
  * Update install file

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 13 Mar 2025 14:30:09 -0400

pycairo (1.27.0-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * New upstream release
  * Build with cairo 1.18.4
  * Bump Standards Version to 4.7.0

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #1087293)
    + Declaratively use debhelper addons
    + Demote sphinx dependencies to B-D-I
    + Multiarchify python3 build dependency
    + Export _PYTHON_SYSCONFIGDATA_NAME through meson

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 13 Mar 2025 14:19:02 -0400

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,16 @@
 Uploaders: Torsten Marek <shlomme@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
-               dh-python,
-               libcairo2-dev (>= 1.18.2),
+               dh-sequence-python3,
+               libcairo2-dev (>= 1.18.4),
+               libpython3-all-dev,
                meson,
-               python3-all-dev,
+               python3-all-dev:native,
                python3-pytest <!nocheck>,
-               python3-sphinx,
-               python3-sphinx-rtd-theme,
-               sphinx-common
-Standards-Version: 4.6.2
+Build-Depends-Indep: dh-sequence-sphinxdoc,
+                     python3-sphinx,
+                     python3-sphinx-rtd-theme,
+Standards-Version: 4.7.0
 Homepage: https://cairographics.org/pycairo/
 Vcs-Git: https://salsa.debian.org/python-team/packages/pycairo.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pycairo

=== debian/tests/control ===
Tests: pycairo
Depends: python3-cairo, python3-pytest
